<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: implicit_defs::solver_implicit_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceimplicit__defs.html">implicit_defs</a></li><li class="navelem"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html">solver_implicit_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structimplicit__defs_1_1solver__implicit__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">implicit_defs::solver_implicit_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for implicit_defs::solver_implicit_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structimplicit__defs_1_1solver__implicit____coll__graph.png" border="0" usemap="#implicit__defs_1_1solver__implicit___coll__map" alt="Collaboration graph"/></div>
<map name="implicit__defs_1_1solver__implicit___coll__map" id="implicit__defs_1_1solver__implicit___coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afd0b0f0d5758a33507b5e753c9a4fee7"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html#afd0b0f0d5758a33507b5e753c9a4fee7">implicit_x</a></td></tr>
<tr class="separator:afd0b0f0d5758a33507b5e753c9a4fee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6972aaf764e1480538b53a5620ab26e2"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html#a6972aaf764e1480538b53a5620ab26e2">implicit_y</a></td></tr>
<tr class="separator:a6972aaf764e1480538b53a5620ab26e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51730c1c25c9ed89a34213329e3ec4ea"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html#a51730c1c25c9ed89a34213329e3ec4ea">implicit_z</a></td></tr>
<tr class="separator:a51730c1c25c9ed89a34213329e3ec4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6478ccdefe0f6c5fd70d82a1f4e1d314"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html#a6478ccdefe0f6c5fd70d82a1f4e1d314">implicit_any</a></td></tr>
<tr class="separator:a6478ccdefe0f6c5fd70d82a1f4e1d314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63307be84b84af03438b07cd2966a20a"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html#a63307be84b84af03438b07cd2966a20a">implicit_auto</a></td></tr>
<tr class="separator:a63307be84b84af03438b07cd2966a20a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dd94b3838ae21bc7f4ac7779186d2f6"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html#a0dd94b3838ae21bc7f4ac7779186d2f6">type</a> = TYPE_ADI_IMPLICIT</td></tr>
<tr class="separator:a0dd94b3838ae21bc7f4ac7779186d2f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5a005fab2da8a17d5a39da5259a8271"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html#ab5a005fab2da8a17d5a39da5259a8271">cvg</a> = 1.e-5_WP</td></tr>
<tr class="separator:ab5a005fab2da8a17d5a39da5259a8271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1751c42528e63c1ed1d2cda8f7622ef1"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structimplicit__defs_1_1solver__implicit__.html#a1751c42528e63c1ed1d2cda8f7622ef1">max_iter</a> = 0</td></tr>
<tr class="separator:a1751c42528e63c1ed1d2cda8f7622ef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab5a005fab2da8a17d5a39da5259a8271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5a005fab2da8a17d5a39da5259a8271">&#9670;&nbsp;</a></span>cvg</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) implicit_defs::solver_implicit_::cvg = 1.e-5_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6478ccdefe0f6c5fd70d82a1f4e1d314"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6478ccdefe0f6c5fd70d82a1f4e1d314">&#9670;&nbsp;</a></span>implicit_any</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical implicit_defs::solver_implicit_::implicit_any</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a63307be84b84af03438b07cd2966a20a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63307be84b84af03438b07cd2966a20a">&#9670;&nbsp;</a></span>implicit_auto</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical implicit_defs::solver_implicit_::implicit_auto</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afd0b0f0d5758a33507b5e753c9a4fee7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd0b0f0d5758a33507b5e753c9a4fee7">&#9670;&nbsp;</a></span>implicit_x</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical implicit_defs::solver_implicit_::implicit_x</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6972aaf764e1480538b53a5620ab26e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6972aaf764e1480538b53a5620ab26e2">&#9670;&nbsp;</a></span>implicit_y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical implicit_defs::solver_implicit_::implicit_y</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a51730c1c25c9ed89a34213329e3ec4ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51730c1c25c9ed89a34213329e3ec4ea">&#9670;&nbsp;</a></span>implicit_z</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical implicit_defs::solver_implicit_::implicit_z</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1751c42528e63c1ed1d2cda8f7622ef1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1751c42528e63c1ed1d2cda8f7622ef1">&#9670;&nbsp;</a></span>max_iter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer implicit_defs::solver_implicit_::max_iter = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0dd94b3838ae21bc7f4ac7779186d2f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dd94b3838ae21bc7f4ac7779186d2f6">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer implicit_defs::solver_implicit_::type = TYPE_ADI_IMPLICIT</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="implicit__defs_8f90.html">implicit_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
